<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3147
Name: Fragestellung
Description: Dieser Abschnitt enthält die konkrete (medizinische) Fragestellung bzw. Grund für eine Überweisung, die sich aufgrund einer medizinischen Untersuchung ergibt, formuliert als Freitext und in einer eigenen Komponente abgelegt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3147-2018-08-02T093959">
   <title>Fragestellung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]
Item: (ReasonForReferralFragestellung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]"
         id="d42e2334-false-d21419e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3002']) &gt;= 1">(ReasonForReferralFragestellung): Element hl7:templateId[@root = '1.2.276.0.76.10.3002'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3002']) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:templateId[@root = '1.2.276.0.76.10.3002'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3147']) &gt;= 1">(ReasonForReferralFragestellung): Element hl7:templateId[@root = '1.2.276.0.76.10.3147'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3147']) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:templateId[@root = '1.2.276.0.76.10.3147'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:id) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ReasonForReferralFragestellung): Element hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(ReasonForReferralFragestellung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(ReasonForReferralFragestellung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(ReasonForReferralFragestellung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:templateId[@root = '1.2.276.0.76.10.3002']
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:templateId[@root = '1.2.276.0.76.10.3002']"
         id="d42e2336-false-d21494e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferralFragestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="string(@root) = ('1.2.276.0.76.10.3002')">(ReasonForReferralFragestellung): Der Wert von root MUSS '1.2.276.0.76.10.3002' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:templateId[@root = '1.2.276.0.76.10.3147']
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:templateId[@root = '1.2.276.0.76.10.3147']"
         id="d42e2341-false-d21509e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferralFragestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="string(@root) = ('1.2.276.0.76.10.3147')">(ReasonForReferralFragestellung): Der Wert von root MUSS '1.2.276.0.76.10.3147' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:id
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:id"
         id="d42e2346-false-d21523e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferralFragestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:code[(@code = '42349-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2348-false-d21534e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferralFragestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="@nullFlavor or (@code='42349-1' and @codeSystem='2.16.840.1.113883.6.1')">(ReasonForReferralFragestellung): Der Elementinhalt MUSS einer von 'code '42349-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:title[not(@nullFlavor)]
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:title[not(@nullFlavor)]"
         id="d42e2358-false-d21550e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="text()='Fragestellung'">(ReasonForReferralFragestellung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Fragestellung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:text[not(@nullFlavor)]
Item: (ReasonForReferralFragestellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:text[not(@nullFlavor)]"
         id="d42e2365-false-d21561e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3147-2018-08-02T093959.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ReasonForReferralFragestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3147
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3002'] and hl7:templateId[@root = '1.2.276.0.76.10.3147']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4086']]]
Item: (ReasonForReferralFragestellung)
--></pattern>
