<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3159
Name: Dermatologische Risikofaktoren
Description: Angabe dermatologischer Risikofaktoren
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3159-2020-04-03T181720">
   <title>Dermatologische Risikofaktoren</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]
Item: (DermatologischeRisikofaktoren)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]"
         id="d42e3611-false-d27322e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3159']) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3159'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3159']) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3159'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:text) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:templateId[@root = '1.2.276.0.76.10.3159']
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:templateId[@root = '1.2.276.0.76.10.3159']"
         id="d42e3613-false-d27386e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="string(@root) = ('1.2.276.0.76.10.3159')">(DermatologischeRisikofaktoren): Der Wert von root MUSS '1.2.276.0.76.10.3159' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:id
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:id"
         id="d42e3618-false-d27400e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:code[(@code = '51898-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3620-false-d27411e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="@nullFlavor or (@code='51898-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Risk factors Document')">(DermatologischeRisikofaktoren): Der Elementinhalt MUSS einer von 'code '51898-5' codeSystem '2.16.840.1.113883.6.1' displayName='Risk factors Document'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:title[not(@nullFlavor)]"
         id="d42e3625-false-d27427e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="text()='Risikofaktoren'">(DermatologischeRisikofaktoren): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Risikofaktoren'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:text
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:text"
         id="d42e3631-false-d27441e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeRisikofaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]]"
         id="d42e3634-false-d27455e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeRisikofaktoren): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4310']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3159
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]]
Item: (DermatologischeRisikofaktoren)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3159']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]]"
         id="d42e3644-false-d27485e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="string(@typeCode) = ('DRIV')">(DermatologischeRisikofaktoren): Der Wert von typeCode MUSS 'DRIV' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]) &gt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3159-2020-04-03T181720.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']]) &lt;= 1">(DermatologischeRisikofaktoren): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4311']] kommt zu häufig vor [max 1x].</assert>
   </rule>
</pattern>
