<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3164
Name: Dermatologische Prognose
Description: Angabe der Prognose zur befundeten Krankheit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3164-2020-04-05T213626">
   <title>Dermatologische Prognose</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]
Item: (DermatologischePrognose)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]"
         id="d42e3921-false-d28111e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3164']) &gt;= 1">(DermatologischePrognose): Element hl7:templateId[@root = '1.2.276.0.76.10.3164'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3164']) &lt;= 1">(DermatologischePrognose): Element hl7:templateId[@root = '1.2.276.0.76.10.3164'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:id) &lt;= 1">(DermatologischePrognose): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologischePrognose): Element hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischePrognose): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischePrognose): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DermatologischePrognose): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DermatologischePrognose): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:templateId[@root = '1.2.276.0.76.10.3164']
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:templateId[@root = '1.2.276.0.76.10.3164']"
         id="d42e3923-false-d28158e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="string(@root) = ('1.2.276.0.76.10.3164')">(DermatologischePrognose): Der Wert von root MUSS '1.2.276.0.76.10.3164' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:id
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:id"
         id="d42e3928-false-d28172e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:code[(@code = '75328-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e3930-false-d28183e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="@nullFlavor or (@code='75328-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prognosis')">(DermatologischePrognose): Der Elementinhalt MUSS einer von 'code '75328-5' codeSystem '2.16.840.1.113883.6.1' displayName='Prognosis'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:title[not(@nullFlavor)]"
         id="d42e3935-false-d28199e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="text()='Prognose'">(DermatologischePrognose): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Prognose'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3164
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:text[not(@nullFlavor)]
Item: (DermatologischePrognose)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3164']]/hl7:text[not(@nullFlavor)]"
         id="d42e3941-false-d28213e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3164-2020-04-05T213626.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischePrognose): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
