<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3175
Name: Konsil Einverständniserklärungen Section
Description: Privacy Consent Section / Abschnitt Einverständniserklärungen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3175-2020-11-11T235035">
   <title>Konsil Einverständniserklärungen Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]"
         id="d42e4288-false-d28982e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(PrivacyConsentSectionDermatologischesKonsil): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(PrivacyConsentSectionDermatologischesKonsil): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3175']) &gt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3175'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3175']) &lt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.3175'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:id) &lt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]) &gt;= 1">(PrivacyConsentSectionDermatologischesKonsil): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:templateId[@root = '1.2.276.0.76.10.3175']
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:templateId[@root = '1.2.276.0.76.10.3175']"
         id="d42e4294-false-d29041e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSectionDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="string(@root) = ('1.2.276.0.76.10.3175')">(PrivacyConsentSectionDermatologischesKonsil): Der Wert von root MUSS '1.2.276.0.76.10.3175' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:id
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:id"
         id="d42e4299-false-d29055e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSectionDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:code[(@code = '64292-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e4301-false-d29066e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSectionDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="@nullFlavor or (@code='64292-6' and @codeSystem='2.16.840.1.113883.6.1')">(PrivacyConsentSectionDermatologischesKonsil): Der Elementinhalt MUSS einer von 'code '64292-6' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:title[not(@nullFlavor)]
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:title[not(@nullFlavor)]"
         id="d42e4312-false-d29082e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PrivacyConsentSectionDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="text()='Einverständniserklärungen'">(PrivacyConsentSectionDermatologischesKonsil): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Einverständniserklärungen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3175
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]
Item: (PrivacyConsentSectionDermatologischesKonsil)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3175']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="string(@typeCode) = ('COMP')">(PrivacyConsentSectionDermatologischesKonsil): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.3175-2020-11-11T235035.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(PrivacyConsentSectionDermatologischesKonsil): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
