<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4306
Name: Dermatologie Lokalisation Hautläsion
Description: Angabe der Lokalisation einer Hautläsion
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4306-2020-03-25T185610">
   <title>Dermatologie Lokalisation Hautläsion</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]
Item: (LokalisationHautveraenderungObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]"
         id="d42e9058-false-d46555e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@classCode) = ('OBS')">(LokalisationHautveraenderungObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@moodCode) = ('EVN')">(LokalisationHautveraenderungObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4306']) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4306'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4306']) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4306'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:templateId[@root = '1.2.276.0.76.10.4306']
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:templateId[@root = '1.2.276.0.76.10.4306']"
         id="d42e9064-false-d46603e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@root) = ('1.2.276.0.76.10.4306')">(LokalisationHautveraenderungObservation): Der Wert von root MUSS '1.2.276.0.76.10.4306' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:id
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:id"
         id="d42e9069-false-d46617e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e9071-false-d46628e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or (@code='56824-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Problem location')">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von 'code '56824-6' codeSystem '2.16.840.1.113883.6.1' displayName='Problem location'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e9077-false-d46647e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.566 Dermatologie Ort einer Hautveraenderung (DYNAMIC)' sein.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e9081-false-d46677e0">
      <extends rule="CR"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CR" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e9086-false-d46709e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or (@code='20228-3' and @codeSystem='2.16.840.1.113883.6.1')">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von 'code '20228-3' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.566-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]/hl7:qualifier[hl7:name[(@code = '20228-3' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e9091-false-d46728e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.577-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.577 Dermatologie Lateralität (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
