<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4309
Name: Dermatologie Beschwerdeverlauf
Description: Angabe des Beschwerdeverlaufs über die Zeit einer dermatologischen Beschwerde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4309-2020-04-03T172259">
   <title>Dermatologie Beschwerdeverlauf</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]
Item: (DermatologyProblemProgress)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]"
         id="d42e9298-false-d47073e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="string(@classCode) = ('OBS')">(DermatologyProblemProgress): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="string(@moodCode) = ('EVN')">(DermatologyProblemProgress): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4309']) &gt;= 1">(DermatologyProblemProgress): Element hl7:templateId[@root = '1.2.276.0.76.10.4309'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4309']) &lt;= 1">(DermatologyProblemProgress): Element hl7:templateId[@root = '1.2.276.0.76.10.4309'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(DermatologyProblemProgress): Element hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(DermatologyProblemProgress): Element hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:text) &lt;= 1">(DermatologyProblemProgress): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(DermatologyProblemProgress): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(DermatologyProblemProgress): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:templateId[@root = '1.2.276.0.76.10.4309']
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:templateId[@root = '1.2.276.0.76.10.4309']"
         id="d42e9304-false-d47129e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyProblemProgress): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="string(@root) = ('1.2.276.0.76.10.4309')">(DermatologyProblemProgress): Der Wert von root MUSS '1.2.276.0.76.10.4309' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:id
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:id"
         id="d42e9309-false-d47143e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyProblemProgress): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:code[(@code = '78326-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d42e9311-false-d47154e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyProblemProgress): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="@nullFlavor or (@code='78326-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Dermatology Progress note')">(DermatologyProblemProgress): Der Elementinhalt MUSS einer von 'code '78326-6' codeSystem '2.16.840.1.113883.6.1' displayName='Dermatology Progress note'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:text
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:text"
         id="d42e9317-false-d47170e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyProblemProgress): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4309
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (DermatologyProblemProgress)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4309']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e9323-false-d47183e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologyProblemProgress): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4309-2020-04-03T172259.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.573-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(DermatologyProblemProgress): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.573 Dermatologie Symptomverlauf (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
