<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4315
Name: Dermatologie Überweisung an Dermatologen notwendig
Description: Angabe, ob eine Vorstellung des Patienten beim Dermatologen erforderlich ist
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4315-2020-04-06T105417">
   <title>Dermatologie Überweisung an Dermatologen notwendig</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]
Item: (UeberweisungDermatologe)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]
Item: (UeberweisungDermatologe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]"
         id="d42e9628-false-d47851e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="string(@classCode) = ('PCPR')">(UeberweisungDermatologe): Der Wert von classCode MUSS 'PCPR' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="string(@moodCode) = ('PRP')">(UeberweisungDermatologe): Der Wert von moodCode MUSS 'PRP' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="@negationInd">(UeberweisungDermatologe): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(UeberweisungDermatologe): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4315']) &gt;= 1">(UeberweisungDermatologe): Element hl7:templateId[@root = '1.2.276.0.76.10.4315'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4315']) &lt;= 1">(UeberweisungDermatologe): Element hl7:templateId[@root = '1.2.276.0.76.10.4315'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(UeberweisungDermatologe): Element hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(UeberweisungDermatologe): Element hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:statusCode[@code = 'new']) &gt;= 1">(UeberweisungDermatologe): Element hl7:statusCode[@code = 'new'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="count(hl7:statusCode[@code = 'new']) &lt;= 1">(UeberweisungDermatologe): Element hl7:statusCode[@code = 'new'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:templateId[@root = '1.2.276.0.76.10.4315']
Item: (UeberweisungDermatologe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:templateId[@root = '1.2.276.0.76.10.4315']"
         id="d42e9640-false-d47904e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UeberweisungDermatologe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="string(@root) = ('1.2.276.0.76.10.4315')">(UeberweisungDermatologe): Der Wert von root MUSS '1.2.276.0.76.10.4315' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:id
Item: (UeberweisungDermatologe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:id"
         id="d42e9645-false-d47918e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UeberweisungDermatologe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (UeberweisungDermatologe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:code[(@code = '183518005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e9648-false-d47929e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UeberweisungDermatologe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="@nullFlavor or (@code='183518005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Referral to dermatology service')">(UeberweisungDermatologe): Der Elementinhalt MUSS einer von 'code '183518005' codeSystem '2.16.840.1.113883.6.96' displayName='Referral to dermatology service'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4315
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:statusCode[@code = 'new']
Item: (UeberweisungDermatologe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4315']]/hl7:statusCode[@code = 'new']"
         id="d42e9653-false-d47946e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(UeberweisungDermatologe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4315-2020-04-06T105417.html"
              test="@nullFlavor or (@code='new')">(UeberweisungDermatologe): Der Elementinhalt MUSS einer von 'code 'new'' sein.</assert>
   </rule>
</pattern>
