<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4319
Name: Dermatologie Anamnese Problem Observation
Description: Beschreibung eines dermatologischen Problems des Patienten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4319-2020-05-24T114415">
   <title>Dermatologie Anamnese Problem Observation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]
Item: (ProblemObservationDermatology)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]"
         id="d42e9852-false-d48376e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@classCode) = ('OBS')">(ProblemObservationDermatology): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@moodCode) = ('EVN')">(ProblemObservationDermatology): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4319']) &gt;= 1">(ProblemObservationDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4319'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4319']) &lt;= 1">(ProblemObservationDermatology): Element hl7:templateId[@root = '1.2.276.0.76.10.4319'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(ProblemObservationDermatology): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(ProblemObservationDermatology): Element hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationDermatology): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationDermatology): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationDermatology): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:effectiveTime) &lt;= 1">(ProblemObservationDermatology): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(ProblemObservationDermatology): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(ProblemObservationDermatology): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:templateId[@root = '1.2.276.0.76.10.4319']
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:templateId[@root = '1.2.276.0.76.10.4319']"
         id="d42e9858-false-d48447e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="string(@root) = ('1.2.276.0.76.10.4319')">(ProblemObservationDermatology): Der Wert von root MUSS '1.2.276.0.76.10.4319' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:id
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:id"
         id="d42e9863-false-d48461e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:code[(@code = '55607006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e9865-false-d48472e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or (@code='55607006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Problem')">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von 'code '55607006' codeSystem '2.16.840.1.113883.6.96' displayName='Problem'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:text
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:text"
         id="d42e9871-false-d48488e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:statusCode[@code = 'completed']
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:statusCode[@code = 'completed']"
         id="d42e9877-false-d48499e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime"
         id="d42e9882-false-d48512e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemObservationDermatology): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemObservationDermatology): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="count(hl7:high) &lt;= 1">(ProblemObservationDermatology): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime/hl7:low[not(@nullFlavor)]"
         id="d42e9887-false-d48537e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime/hl7:high
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:effectiveTime/hl7:high"
         id="d42e9893-false-d48547e0">
      <extends rule="IVXB_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4319
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (ProblemObservationDermatology)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4319']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e9900-false-d48560e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationDermatology): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4319-2020-05-24T114415.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.568-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationDermatology): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.568 Dermatologie Beschwerde (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
