<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4323
Name: Dermatologie Beobachtung Veränderung Hautläsion
Description: Angabe einer Veränderung der Hautläsion 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4323-2020-05-29T152731">
   <title>Dermatologie Beobachtung Veränderung Hautläsion</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]"
         id="d42e10210-false-d49169e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="string(@classCode) = ('OBS')">(ProblemObservationReasonMalignitySuspicion): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="string(@moodCode) = ('EVN')">(ProblemObservationReasonMalignitySuspicion): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ProblemObservationReasonMalignitySuspicion): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4323']) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '1.2.276.0.76.10.4323'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4323']) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:templateId[@root = '1.2.276.0.76.10.4323'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:text) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:effectiveTime[hl7:low]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:effectiveTime[hl7:low] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:templateId[@root = '1.2.276.0.76.10.4323']
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:templateId[@root = '1.2.276.0.76.10.4323']"
         id="d42e10218-false-d49243e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="string(@root) = ('1.2.276.0.76.10.4323')">(ProblemObservationReasonMalignitySuspicion): Der Wert von root MUSS '1.2.276.0.76.10.4323' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:id
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:code[(@code = '75325-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e10226-false-d49266e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="@nullFlavor or (@code='75325-1' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Symptom HL7.CCDAR2')">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von 'code '75325-1' codeSystem '2.16.840.1.113883.6.1' displayName='Symptom HL7.CCDAR2'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:text
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:text"
         id="d42e10231-false-d49282e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:statusCode[@code = 'completed']
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:statusCode[@code = 'completed']"
         id="d42e10237-false-d49293e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="@nullFlavor or (@code='completed')">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:effectiveTime[hl7:low]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:effectiveTime[hl7:low]"
         id="d42e10242-false-d49306e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:low[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:low[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="count(hl7:high) &lt;= 1">(ProblemObservationReasonMalignitySuspicion): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:effectiveTime[hl7:low]/hl7:low[not(@nullFlavor)]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:effectiveTime[hl7:low]/hl7:high
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4323
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ProblemObservationReasonMalignitySuspicion)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4323']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e10249-false-d49347e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ProblemObservationReasonMalignitySuspicion): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4323-2020-05-29T152731.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.572-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ProblemObservationReasonMalignitySuspicion): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.572 Dermatologie Veränderung Hautläsion (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
