<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4324
Name: Konsil Einverständniserklärung Entry
Description: Consent Directive / Entry Einverständniserklärung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4324-2020-11-11T235459">
   <title>Konsil Einverständniserklärung Entry</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]"
         id="d42e10256-false-d49376e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]"
         id="d42e10294-false-d49393e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@classCode) = ('ACT')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von classCode MUSS 'ACT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@moodCode) = ('DEF')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von moodCode MUSS 'DEF' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(ConsentDirectiveEntryDermatologischesKonsil): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4324']) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.4324'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4324']) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:templateId[@root = '1.2.276.0.76.10.4324'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:id) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:effectiveTime[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:effectiveTime[not(@nullFlavor)]) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:effectiveTime[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']) &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:participant[not(@nullFlavor)][@typeCode = 'AUT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:participant[not(@nullFlavor)][@typeCode = 'AUT'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:templateId[@root = '1.2.276.0.76.10.4324']
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:templateId[@root = '1.2.276.0.76.10.4324']"
         id="d42e10306-false-d49464e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntryDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@root) = ('1.2.276.0.76.10.4324')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von root MUSS '1.2.276.0.76.10.4324' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:id
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d42e10314-false-d49489e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntryDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.576-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(ConsentDirectiveEntryDermatologischesKonsil): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.576 Konsil Einverständnis (DYNAMIC)' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:statusCode[@code = 'completed']
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:statusCode[@code = 'completed']"
         id="d42e10319-false-d49510e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntryDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="@nullFlavor or (@code='completed')">(ConsentDirectiveEntryDermatologischesKonsil): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:effectiveTime[not(@nullFlavor)]
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:effectiveTime[not(@nullFlavor)]"
         id="d42e10324-false-d49526e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ConsentDirectiveEntryDermatologischesKonsil): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="not(*)">(ConsentDirectiveEntryDermatologischesKonsil): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']"
         id="d42e10326-false-d49539e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@typeCode) = ('AUT')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von typeCode MUSS 'AUT' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <let name="elmcount"
           value="count(hl7:participantRole[@classCode='PAT'] | hl7:participantRole[@classCode='PROV'])"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="$elmcount &gt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Auswahl (hl7:participantRole[@classCode='PAT']  oder  hl7:participantRole[@classCode='PROV']) enthält nicht genügend Elemente [min 1x]</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="$elmcount &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Auswahl (hl7:participantRole[@classCode='PAT']  oder  hl7:participantRole[@classCode='PROV']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:participantRole[@classCode='PAT']) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:participantRole[@classCode='PAT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="count(hl7:participantRole[@classCode='PROV']) &lt;= 1">(ConsentDirectiveEntryDermatologischesKonsil): Element hl7:participantRole[@classCode='PROV'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']/hl7:participantRole[@classCode='PAT']
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']/hl7:participantRole[@classCode='PAT']"
         id="d42e10335-false-d49565e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@classCode) = ('PAT')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von classCode MUSS 'PAT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4324
Context: *[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']/hl7:participantRole[@classCode='PROV']
Item: (ConsentDirectiveEntryDermatologischesKonsil)
-->

   <rule fpi="RULC-1"
         context="*[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]]/hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4324']]/hl7:participant[not(@nullFlavor)][@typeCode = 'AUT']/hl7:participantRole[@classCode='PROV']"
         id="d42e10345-false-d49574e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.4324-2020-11-11T235459.html"
              test="string(@classCode) = ('PROV')">(ConsentDirectiveEntryDermatologischesKonsil): Der Wert von classCode MUSS 'PROV' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
   </rule>
</pattern>
