<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.26.10.7
Name: Medikation
Description: Template CDA SubstanceAdministration (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337">
   <title>Medikation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]
Item: (MedicationStatement)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]"
         id="d42e16597-false-d168137e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="string(@classCode) = ('SBADM')">(MedicationStatement): Der Wert von classCode MUSS 'SBADM' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="@moodCode">(MedicationStatement): Attribut @moodCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@moodCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="not(@moodCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19461-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(MedicationStatement): Der Wert von moodCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19461' x_DocumentSubstanceMood (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7']) &gt;= 1">(MedicationStatement): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7']) &lt;= 1">(MedicationStatement): Element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.308']) &gt;= 1">(MedicationStatement): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.308'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.10.12.308']) &lt;= 1">(MedicationStatement): Element hl7:templateId[@root = '2.16.840.1.113883.10.12.308'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]) &lt;= 1">(MedicationStatement): Element hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:statusCode[@code = 'completed' or @nullFlavor]) &lt;= 1">(MedicationStatement): Element hl7:statusCode[@code = 'completed' or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:effectiveTime) &lt;= 1">(MedicationStatement): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:consumable[@typeCode = 'CSM']) &gt;= 1">(MedicationStatement): Element hl7:consumable[@typeCode = 'CSM'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="count(hl7:consumable[@typeCode = 'CSM']) &lt;= 1">(MedicationStatement): Element hl7:consumable[@typeCode = 'CSM'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7']
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7']"
         id="d42e16606-false-d168211e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.26.10.7')">(MedicationStatement): Der Wert von root MUSS '2.16.840.1.113883.3.1937.777.26.10.7' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.308']
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:templateId[@root = '2.16.840.1.113883.10.12.308']"
         id="d42e16611-false-d168226e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="string(@root) = ('2.16.840.1.113883.10.12.308')">(MedicationStatement): Der Wert von root MUSS '2.16.840.1.113883.10.12.308' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:code[(@code = 'DRUG' and @codeSystem = '2.16.840.1.113883.5.4') or @nullFlavor]"
         id="d42e16616-false-d168241e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(MedicationStatement): Der Elementinhalt MUSS einer von 'code 'DRUG' codeSystem '2.16.840.1.113883.5.4'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:statusCode[@code = 'completed' or @nullFlavor]
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:statusCode[@code = 'completed' or @nullFlavor]"
         id="d42e16622-false-d168258e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="@nullFlavor or (@code='completed' and @codeSystemName='HL7 ActStatus')">(MedicationStatement): Der Elementinhalt MUSS einer von 'code 'completed' codeSystemName='HL7 ActStatus'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:effectiveTime
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:effectiveTime"
         id="d42e16627-false-d168274e0">
      <extends rule="SXCM_TS"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SXCM_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationStatement): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SXCM_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.26.10.7
Context: *[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:consumable[@typeCode = 'CSM']
Item: (MedicationStatement)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]]/hl7:substanceAdministration[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.26.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.308']]/hl7:consumable[@typeCode = 'CSM']"
         id="d42e16629-false-d168284e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.html"
              test="string(@typeCode) = ('CSM')">(MedicationStatement): Der Wert von typeCode MUSS 'CSM' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
   </rule>
</pattern>
