<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Konsilabschluss (2.16.840.1.113883.3.1937.777.26.4.8 2019-08-16T15:02:41)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:pharm" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="XXX1"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario dermkonsil-abschluss -->

   <!-- DermatologischesKonsil -->
   <pattern>
      <title>DermatologischesKonsil</title>
      <rule fpi="RUL-EXPEL" context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1035']]"
                 see="http://pub.art-decor.org/konsab/konsab-html-20210622T183118/tmp-1.2.276.0.76.10.1035-2020-02-17T141824.html">(DermatologischesKonsil): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1035']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.10.1035-2020-02-17T141824.sch"/>
   <include href="include/1.2.276.0.76.10.1035-2020-02-17T141824-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- Beilagen -->
   <include href="include/1.2.276.0.76.10.3037-2014-08-25T000000.sch"/>
   <!-- ResultsSection -->
   <include href="include/1.2.276.0.76.10.3100-2017-04-30T000000.sch"/>
   <!-- InsuranceSection -->
   <include href="include/1.2.276.0.76.10.3103-2016-02-25T185555.sch"/>
   <!-- ReasonForReferralFragestellung -->
   <include href="include/1.2.276.0.76.10.3147-2018-08-02T093959.sch"/>
   <!-- CDASectionDiagnosenPraedisponierendeFaktoren -->
   <include href="include/1.2.276.0.76.10.3148-2018-08-02T103133.sch"/>
   <!-- Konsilanfrage -->
   <include href="include/1.2.276.0.76.10.3149-2020-03-23T142210.sch"/>
   <!-- Konsilrueckfrage -->
   <include href="include/1.2.276.0.76.10.3150-2020-03-23T143326.sch"/>
   <!-- KonsilZusaetzlicheAngaben -->
   <include href="include/1.2.276.0.76.10.3151-2020-03-23T144435.sch"/>
   <!-- Konsiliarbericht -->
   <include href="include/1.2.276.0.76.10.3152-2020-03-23T145059.sch"/>
   <!-- Konsilabschluss -->
   <include href="include/1.2.276.0.76.10.3153-2020-03-23T145431.sch"/>
   <!-- DermatologischeFotografien -->
   <include href="include/1.2.276.0.76.10.3154-2020-03-23T180420.sch"/>
   <!-- DermatologischeAnamnese -->
   <include href="include/1.2.276.0.76.10.3158-2020-03-30T223340.sch"/>
   <!-- DermatologischeRisikofaktoren -->
   <include href="include/1.2.276.0.76.10.3159-2020-04-03T181720.sch"/>
   <!-- DermatologischeAllergieangabenSpaetreaktionen -->
   <include href="include/1.2.276.0.76.10.3160-2020-04-03T203347.sch"/>
   <!-- DermatologischeFamilienanamnese -->
   <include href="include/1.2.276.0.76.10.3161-2020-04-04T212204.sch"/>
   <!-- DermatologischeVorbehandlungen -->
   <include href="include/1.2.276.0.76.10.3162-2020-04-04T215548.sch"/>
   <!-- KonsilBefundergebnisDermatologieSection -->
   <include href="include/1.2.276.0.76.10.3163-2020-04-05T211647.sch"/>
   <!-- DermatologischePrognose -->
   <include href="include/1.2.276.0.76.10.3164-2020-04-05T213626.sch"/>
   <!-- Therapieempfehlung -->
   <include href="include/1.2.276.0.76.10.3165-2020-04-05T221303.sch"/>
   <!-- FeedbackKonsiliarDermatologie -->
   <include href="include/1.2.276.0.76.10.3166-2020-04-06T180437.sch"/>
   <!-- FeedbackAuftraggeberKonsilDermatologie -->
   <include href="include/1.2.276.0.76.10.3167-2020-04-06T181144.sch"/>
   <!-- DermatologischeAllergieangabenSofortreaktionen -->
   <include href="include/1.2.276.0.76.10.3168-2020-05-19T201133.sch"/>
   <!-- PrivacyConsentSectionDermatologischesKonsil -->
   <include href="include/1.2.276.0.76.10.3175-2020-11-11T235035.sch"/>
   <!-- EingebettetesObjektEntry -->
   <include href="include/1.2.276.0.76.10.4014-2014-08-25T000000.sch"/>
   <!-- AnnotationComment -->
   <include href="include/1.2.276.0.76.10.4015-2014-11-15T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2018-11-01T000000.sch"/>
   <!-- Einzeldosierungen -->
   <include href="include/1.2.276.0.76.10.4023-2018-11-01T000000.sch"/>
   <!-- MedicationStatementDoseInstruction -->
   <include href="include/1.2.276.0.76.10.4024-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2017-06-04T000000.sch"/>
   <!-- PatientInstructions -->
   <include href="include/1.2.276.0.76.10.4026-2014-11-01T000000.sch"/>
   <!-- Reasonformedication -->
   <include href="include/1.2.276.0.76.10.4027-2016-01-31T000000.sch"/>
   <!-- PriorityPreference -->
   <include href="include/1.2.276.0.76.10.4076-2015-12-06T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2017-06-26T143128.sch"/>
   <!-- PrognosisObservation -->
   <include href="include/1.2.276.0.76.10.4078-2015-12-06T000000.sch"/>
   <!-- DiagnoseConcernAct -->
   <include href="include/1.2.276.0.76.10.4079-2015-12-06T000000.sch"/>
   <!-- DiagnoseObservation -->
   <include href="include/1.2.276.0.76.10.4080-2015-12-06T000000.sch"/>
   <!-- Indication -->
   <include href="include/1.2.276.0.76.10.4084-2017-02-01T000000.sch"/>
   <!-- PatientReferralAct -->
   <include href="include/1.2.276.0.76.10.4086-2017-02-01T000000.sch"/>
   <!-- ManifestationObservation -->
   <include href="include/1.2.276.0.76.10.4093-2017-04-09T000000.sch"/>
   <!-- EtiologyObservation -->
   <include href="include/1.2.276.0.76.10.4094-2017-04-09T000000.sch"/>
   <!-- ResultOrganizer -->
   <include href="include/1.2.276.0.76.10.4253-2017-03-02T000000.sch"/>
   <!-- LaboratoryResultObservation -->
   <include href="include/1.2.276.0.76.10.4254-2017-03-21T000000.sch"/>
   <!-- CoverageActivity -->
   <include href="include/1.2.276.0.76.10.4263-2016-02-25T190030.sch"/>
   <!-- PolicyActivity -->
   <include href="include/1.2.276.0.76.10.4264-2016-02-25T190754.sch"/>
   <!-- DMPObservation -->
   <include href="include/1.2.276.0.76.10.4271-2017-12-01T140113.sch"/>
   <!-- eGKGeschlechtObservation -->
   <include href="include/1.2.276.0.76.10.4272-2017-11-29T181727.sch"/>
   <!-- PersonGroupObservation -->
   <include href="include/1.2.276.0.76.10.4273-2017-11-29T144601.sch"/>
   <!-- KVZuordnungObservation -->
   <include href="include/1.2.276.0.76.10.4275-2018-02-27T123511.sch"/>
   <!-- weitereKennzeichenObservation -->
   <include href="include/1.2.276.0.76.10.4280-2018-03-08T173215.sch"/>
   <!-- EingebettetesFotoEntry -->
   <include href="include/1.2.276.0.76.10.4305-2020-03-24T164411.sch"/>
   <!-- LokalisationHautveraenderungObservation -->
   <include href="include/1.2.276.0.76.10.4306-2020-03-25T185610.sch"/>
   <!-- DermatologySuspicionMalignity -->
   <include href="include/1.2.276.0.76.10.4307-2020-03-25T201310.sch"/>
   <!-- BeschwerdedauerDermatologie -->
   <include href="include/1.2.276.0.76.10.4308-2020-03-30T230010.sch"/>
   <!-- DermatologyProblemProgress -->
   <include href="include/1.2.276.0.76.10.4309-2020-04-03T172259.sch"/>
   <!-- RisikofaktorBeruflicheTaetigkeit -->
   <include href="include/1.2.276.0.76.10.4310-2020-04-03T182608.sch"/>
   <!-- RisikofaktorAussentaetigkeit -->
   <include href="include/1.2.276.0.76.10.4311-2020-04-03T185053.sch"/>
   <!-- VorbehandlungDermatologie -->
   <include href="include/1.2.276.0.76.10.4312-2020-04-04T214401.sch"/>
   <!-- Diagnosekonfidenz -->
   <include href="include/1.2.276.0.76.10.4313-2020-04-05T212838.sch"/>
   <!-- Therapiedringlichkeit -->
   <include href="include/1.2.276.0.76.10.4314-2020-04-05T222238.sch"/>
   <!-- UeberweisungDermatologe -->
   <include href="include/1.2.276.0.76.10.4315-2020-04-06T105417.sch"/>
   <!-- KonsilFeedbackBildqualitaet -->
   <include href="include/1.2.276.0.76.10.4316-2020-04-06T154050.sch"/>
   <!-- KonsilFeedbackAnamnestischeAngaben -->
   <include href="include/1.2.276.0.76.10.4317-2020-04-06T154520.sch"/>
   <!-- KonsilFeedbackKonsiliarbericht -->
   <include href="include/1.2.276.0.76.10.4318-2020-04-06T154913.sch"/>
   <!-- ProblemObservationDermatology -->
   <include href="include/1.2.276.0.76.10.4319-2020-05-24T114415.sch"/>
   <!-- ProblemObservationDermatologyFamilyHistory -->
   <include href="include/1.2.276.0.76.10.4321-2020-05-24T232158.sch"/>
   <!-- ProblemObservationReasonMalignitySuspicion -->
   <include href="include/1.2.276.0.76.10.4323-2020-05-29T152731.sch"/>
   <!-- ConsentDirectiveEntryDermatologischesKonsil -->
   <include href="include/1.2.276.0.76.10.4324-2020-11-11T235459.sch"/>

</schema>
